aboutsummaryrefslogtreecommitdiffstats
path: root/tests/Makefile
diff options
context:
space:
mode:
authorPetteri Aimonen <jpa@git.mail.kapsi.fi>2012-10-29 18:20:15 +0200
committerPetteri Aimonen <jpa@git.mail.kapsi.fi>2012-10-29 18:20:15 +0200
commit28b0136ea4dcd045f0422d16a25b7d82b0d2aaee (patch)
tree7ec5fd5962a733b53e2bc93ea90618df58e5806f /tests/Makefile
parent9e0ee92f0a42ce2c5c9d4bf4f1d7d822caf1c561 (diff)
Improve .proto options parsing.
Options can now be defined on command line, file, message or in field scope. Update issue 12 Status: Started
Diffstat (limited to 'tests/Makefile')
-rw-r--r--tests/Makefile10
1 files changed, 9 insertions, 1 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 76561759..434819c3 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -55,7 +55,7 @@ coverage: run_unittests
gcov pb_encode.gcda
gcov pb_decode.gcda
-run_unittests: decode_unittests encode_unittests test_cxxcompile test_encode1 test_encode2 test_encode3 test_decode1 test_decode2 test_decode3 test_encode_callbacks test_decode_callbacks test_missing_fields
+run_unittests: decode_unittests encode_unittests test_cxxcompile test_encode1 test_encode2 test_encode3 test_decode1 test_decode2 test_decode3 test_encode_callbacks test_decode_callbacks test_missing_fields test_options
rm -f *.gcda
./decode_unittests > /dev/null
@@ -82,5 +82,13 @@ run_unittests: decode_unittests encode_unittests test_cxxcompile test_encode1 te
./test_missing_fields
+test_options: options.pb.h options.expected
+ for p in $$(grep . options.expected); do \
+ if ! grep -qF "$$p" $<; then \
+ echo Expected: $$p; \
+ exit 1; \
+ fi \
+ done
+
run_fuzztest: test_decode2
bash -c 'I=1; while true; do cat /dev/urandom | ./test_decode2 > /dev/null; I=$$(($$I+1)); echo -en "\r$$I"; done'